---
type: api
title: Get actions state
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-endpointgetactionsstate
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-endpointgetactionsstate
products:
  - Kibana
---

# Get actions state

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/endpoint/action/state`
- `GET` `/s/{space_id}/api/endpoint/action/state`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get a response actions state, which reports whether encryption is enabled.

## Response

OK

`application/json`

- `data` (object)
  - `canEncrypt` (boolean)
    Whether the Kibana instance has encryption enabled for response actions.
## Code Examples

#### Console

```console
GET /api/endpoint/action/state
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/endpoint/action/state"
```

## Response Examples

#### Response actions state with encryption enabled

```json
{
  "data": {
    "canEncrypt": true
  }
}
```

